Get content profile
curl --request GET \
--url https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": 123,
"name": "<string>",
"description": "<string>",
"voiceTone": "<string>",
"audience": "<string>",
"createdBy": 123,
"created": "2023-11-07T05:31:56Z",
"updatedBy": 123,
"updated": "2023-11-07T05:31:56Z",
"draftCount": 123,
"languageRules": [
{
"term": "<string>",
"type": "EXCLUDE",
"extraTerm": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Content Profiles
Get content profile
Returns a single content profile by id.
GET
/
v4
/
accounts
/
{accountId}
/
content-profiles
/
{contentProfileId}
Get content profile
Authorizations
ApiTokenApiKeyQuery & SigQuery
Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.
Path Parameters
Account identifier
Content profile identifier
Response
Content profile
Freeform voice-and-tone guidance applied to generation.
Freeform target-audience description.
User ID of the creator.
Show child attributes
Show child attributes
⌘I
